Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000527 [Piwigo] configuration feature always 2006.08.21 10:52 2007.01.26 14:57
Reporter Bruno_Piguet View Status public  
Assigned To VDigital
Priority normal Resolution fixed Platform All
Status closed   OS All
Projection none   OS Version All
ETA none Fixed in Version Alligator 1 Product Version
  Target Version Product Build
Summary 0000527: Personnalisation des messages
Description Actuellement, si l'on souhaite personnaliser les libellés/messages affichés par PWG (par exemple "Tag"->"Mots-clef", "Liens"->"Les sites des amis", voire "Categorie"->"Album"), le seul moyen est de modifier un des fichiers sous "language/*/common.lang.php" (ou de se créer un language/fr_perso.iso-8859-1/*)

Ces 2 méthodes sont fragiles face à un upgrade (qui écrasera tout ou nécessitera de vérifier la présence/compatibilité de nouveaux noms).

Il pourrait donc être utile de mettre en place un mécanisme de modification locale, à l'image de la configuration ou des thèmes et templates.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version any
PHP version any
Web server Apache 1.3.x
Attached Files

- Relationships
related to 0000307closed External Language customisation (an independant easier process) 

-  Notes
(0001402)
plg (manager)
2006.08.22 16:12

Bonne idée. Je propose l'ajout d'un fichier local.lang.php optionnel dans chaque répertoire de langue. Si ce fichier est présent, il est chargé.
(0001595)
VDigital (reporter)
2006.12.25 08:09

Autorise le maintien des modifications locales du langage au travers des changements de version.
(0001691)
VDigital (reporter)
2007.01.26 14:57

Language localization - local.lang.php can be added to each language directory. Authorize your own translation to be keep over migrations.

http://svn.gna.org/viewcvs/phpwebgallery?rev=1679&view=rev [^]

- Issue History
Date Modified Username Field Change
2006.08.21 10:52 Bruno_Piguet New Issue
2006.08.21 10:52 Bruno_Piguet browser => any
2006.08.21 10:52 Bruno_Piguet MySQL version => any
2006.08.21 10:52 Bruno_Piguet PHP version => any
2006.08.21 10:52 Bruno_Piguet Web server => Apache 1.3.x
2006.08.22 16:12 plg Note Added: 0001402
2006.08.22 16:12 plg Status new => acknowledged
2006.12.23 19:42 VDigital Status acknowledged => assigned
2006.12.23 19:42 VDigital Assigned To => VDigital
2006.12.25 08:09 VDigital Status assigned => resolved
2006.12.25 08:09 VDigital Fixed in Version => Alligator (trunk)
2006.12.25 08:09 VDigital Resolution open => fixed
2006.12.25 08:09 VDigital Note Added: 0001595
2006.12.25 17:43 VDigital Relationship added related to 0000307
2007.01.26 14:57 VDigital Status resolved => closed
2007.01.26 14:57 VDigital Note Added: 0001691


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker